org.apache.maven.shared.artifact.filter.collection

## Interface ArtifactsFilter

All Known Implementing Classes:
  AbstractArtifactFeatureFilter, AbstractArtifactsFilter, ArtifactIdFilter, ArtifactTransitivityFilter, ClassifierFilter, GroupIdFilter, ProjectTransitivityFilter, ScopeFilter, TypeFilter

    public interface ArtifactsFilter

Version:
  $Id: ArtifactsFilter.java 661727 2008-05-30 14:21:49Z bentmann $
Author:
  Brian Fox

### Method Summary

Methods
`Set` `filter(Set artifacts)`
`boolean` `isArtifactIncluded(org.apache.maven.artifact.Artifact artifact)`

### Method Detail

#### filter

    Set filter(Set artifacts)
               throws ArtifactFilterException

Throws:
  `ArtifactFilterException`

#### isArtifactIncluded

    boolean isArtifactIncluded(org.apache.maven.artifact.Artifact artifact)
                               throws ArtifactFilterException

Throws:
  `ArtifactFilterException`